getMoebius <-
function (graph, ptable, r=TRUE) {
  tmp = headsTails(graph, r = r, by_district = TRUE)
  head.list = tmp$heads; tail.list = tmp$tails
  dims = dim(ptable)

  q = vector(mode="list", length=length(head.list))
  # EACH DISTRICT i
  for (i in seq_along(q)) {
    q[[i]] = vector(mode="list", length=length(head.list[[i]]))
    # EACH HEAD j
    for (j in seq_along(q[[i]])) {
      # ALL POSSIBLE TAIL ASSIGNMENTS
      vals = combinations(dims[tail.list[[i]][[j]]])
      q[[i]][[j]] = vector(mode="list", length=dim(vals)[1])

      # EACH TAIL ASSIGNMENT k
      for (k in seq_len(dim(vals)[1])) {
        # GET CONDITIONAL PROBABILITIES
        tmp = condition.table(ptable, head.list[[i]][[j]], tail.list[[i]][[j]], vals[k,]+1)
        # NEED ALL BUT LAST VALUE IN EACH DIMENSION
        if (is.vector(tmp)) q[[i]][[j]][[k]] = tmp[-length(tmp)]
        else q[[i]][[j]][[k]] = subarray(tmp, lapply(dim(tmp)-1, seq_len))
      }
    }
  }
  out = list(q = q, heads = head.list, tails = tail.list, vnames = graph$vnames, dim=dims, r=r)
  class(out) = "mparam"
  out
}
