getMparamsNames <-
function(mparam, blanks = FALSE) {
  vnames = mparam$vnames
  heads = mparam$heads
  tails = mparam$tails
  dims = mparam$dim
  q = mparam$q
  out = character(0)

  # FOR EACH HEAD j (IN DISTRICT i)
  for (i in seq_along(q)) for (j in seq_along(q[[i]])) {
    # ALL POSSIBLE TAIL ASSIGNMENTS
    h.len = length(heads[[i]][[j]])
    t.len = length(tails[[i]][[j]])

    t.vals = combinations(dims[tails[[i]][[j]]])
    h.vals = combinations(dims[heads[[i]][[j]]]-1)

    for (k1 in seq_len(dim(t.vals)[1])) for (k2 in seq_len(dim(h.vals)[1]))  {
#cat("head =",heads[[i]][[j]], "tail =",tails[[i]][[j]],"\n")
      tmp = "p("

      # GET HEAD NAMES AND VALUES (IF-ELSE PRINTS BLANKS IF SAME AS LINE ABOVE AND blanks == TRUE)
      tmp2 = paste(mapply(paste,
          if(isTRUE(k2 == 1) || !blanks) vnames[heads[[i]][[j]]] else sapply(nchar(vnames[heads[[i]][[j]]]), function(x) paste(rep(" ",x), collapse="")),
        " = ", h.vals[k2,], c(rep(", ", h.len-1),""), sep=""), collapse="", sep="")

      tmp = paste(tmp, tmp2, sep="")

      # IF ANYTHING IN TAIL, ADD IN
      if (isTRUE(t.len > 0)) {
        tmp = paste(tmp," | ",sep="")
        tmp2 = paste(mapply(paste, vnames[tails[[i]][[j]]],
          " = ", t.vals[k1,], c(rep(", ", t.len-1),"") , sep=""), collapse="", sep="")
        tmp = paste(tmp, tmp2, sep="")
      }

      tmp = paste(tmp, ")", sep="")
      out = c(out, tmp)
    }
  }
  out
}
