headsTails <-
function (graph, r = TRUE, by_district = FALSE, set_list) 
{
  if(missing(set_list)) set_list <- intrinsicSets(graph, r = r, by_district = by_district)
  
  if (by_district) {
    head.list = tail.list = list()
    for (i in seq_along(set_list)) {
      if (r) {
        tail.list[[i]] = lapply(set_list[[i]], function(v) pa(graph, v))
        head.list[[i]] <- mapply(setdiff, set_list[[i]], tail.list[[i]], SIMPLIFY=FALSE)
      }
      else {
        head.list[[i]] = lapply(set_list[[i]], function(v) barren(graph, v))
        tail.list[[i]] = list()
        for (j in seq_along(head.list[[i]]))  tail.list[[i]][[j]] = setdiff(union(set_list[[i]][[j]], pa(graph, set_list[[i]][[j]])), head.list[[i]][[j]])
      }
    }
  }
  else {
    if (r) {
      tail.list = lapply(set_list, function(v) pa(graph, v))
      head.list <- mapply(setdiff, set_list, tail.list, SIMPLIFY=FALSE)
    }
    else {
      head.list = lapply(set_list, function(v) barren(graph, v))
      tail.list = list()
      for (j in seq_along(head.list))  tail.list[[j]] = setdiff(union(set_list[[j]], pa(graph, set_list[[j]])), head.list[[j]])
    }
  }
  out <- list(heads = head.list, tails = tail.list)
  out
}
