intrinsicSets <-
function(graph, r = TRUE, by_district = FALSE){
  
  out <- list()
  districts <- districts(graph)
  
  for(i in seq_along(districts)){
    
    if (length(intersect(unlist(graph$ud.edges), districts[[i]])) > 0) {
      if (length(districts[[i]]) == 1) next
      else stop("Graph appears not to be a MEG")
    }
    
    if(by_district) {
      out[[i]] <- list()
    }
    district <- districts[[i]]
    
    if(r) {
      district_subgraph <- graph[district]
      
      an_sets <- anSets(district_subgraph)
      #      if (!r) an_sets = an_sets[sapply(an_sets, function(x) length(intersect(x, district)) > 0)]
      #     an_sets <- anSets_old(district_subgraph)
      
      for(an_set in an_sets){
        an_set_subgraph <- district_subgraph[an_set]
        d <- districts(an_set_subgraph)
        
        if(length(d) == 1){
          ans <- mapV(an_set, district_subgraph, graph)
          if(by_district) {
            out[[i]] <- c(out[[i]], list(ans))
          } 
          else {
            out <- c(out, list(ans))
          }
        }
        
        if(length(d) > 1){
          
          recursed_sets <- Recall(an_set_subgraph, r, FALSE)
          recursed_sets <- lapply(recursed_sets, mapV, an_set_subgraph, graph)
          #recursed_sets <- lapply(recursed_sets, mapV, an_set_subgraph, district_subgraph)
          #recursed_sets <- lapply(recursed_sets, mapV, district_subgraph, graph)
          
          if(by_district){
            out[[i]] <- c(out[[i]], recursed_sets)
          } else {
            out <- c(out, recursed_sets)
          }
        }
      }
    } # if (r)
    else {
      subs = powerSet(district)[-1]
      int = logical(length(subs))
      
      # FOR EACH SUBSET C OF A DISTRICT, CHECK IF IT'S 'INTRINSIC'
      for (j in seq_along(subs)) {
        # ang IS G_{an C}, SUBGRAPH FORMED BY ANCESTORS OF subs[[j]]
        ang = graph[an(graph, subs[[j]])]
        # DISTRICT OF C in ang.
        subdis = mapV(dis(ang, mapV(subs[[j]], graph, ang)),ang, graph)
        
        # SET C IS INTRINSIC IF IS MAXIMALLY <-> CONNECTED IN G_{an C}
        if (length(subdis) > length(subs[[j]])) int[j] = FALSE # NOT MAXIMAL
        else if(!all(subs[[j]] %in% mapV(dis(ang, mapV(subs[[j]][1], graph, ang)), ang, graph))) int[j] = FALSE # NOT CONNECTED
        else int[j] = TRUE # OK
      }
      
      if(by_district){
        out[[i]] <- subs[int]
      }
      else out = c(out, subs[int])
    }
    
  }
  
  if(by_district){
    out <- lapply(out, unique)
    out
  } 
  else {
    unique(out)
  }
}
