makeGraph <-
function (n, ud.edges = list(), d.edges = list(), bi.edges = list(), vnames, type) {
  
  if (is.matrix(ud.edges)) ud.edges = edgeList(ud.edges)
  if (is.matrix(d.edges)) d.edges = edgeList(d.edges)
  if (is.matrix(bi.edges)) bi.edges = edgeList(bi.edges)
  
  if (missing(type)) type = "all"
  if (missing(vnames)) {
    vnames = character(n)
    for (i in seq.int(1, by=1, length.out=n)) vnames[i] = paste("x", i, sep="")
  }
  else if (length(vnames) != n) stop("Variable names vector must have length n")
  
  out = list(n = n, vnames = vnames, ud.edges=ud.edges, d.edges=d.edges, bi.edges=bi.edges, type=type)
  class(out) = "graph"
  out
}
