makeGraphComplete <-
function (n, type = "bidirected") {
  if (n < 2) return(makeGraph(n))
  tmp = combn(n, 2)
  edges = list()
  for (i in seq_len(ncol(tmp))) edges[[i]] = tmp[,i]
  
  if (type == "bidirected") return(makeGraph(n, bi.edges=edges, type=type))
  else if (type == "undirected") return(makeGraph(n, ud.edges=edges, type=type))
  else if (type == "directed") return(makeGraph(n, d.edges=edges, type=type))
  else stop("type must be 'undirected', 'directed' or 'bidirected'")
}
