partition <-
function(graph, heads, v = seq_len(graph$n), r=TRUE){
  
  if (missing(heads)) heads = headsTails(graph, r=r)$heads
  
  list_equal = function(l1, l2){
    if(length(l1) != length(l2)){
      return(FALSE)
    }
    if(length(l1) == 0){
      return(length(l2) == 0)
    }
    for(i in seq_along(l1)){
      if(l1[i] != l2[i]){
        return(FALSE)
      }
    }
    return(TRUE)
  }
  
  if(length(v) == 0) return(list())
  
  p <- powerSetMat(length(v))
  
  intersection <- vector(mode = "list", length=length(heads))
  k <- 1
  for(i in seq_len(dim(p)[1])){
    ones <- which(p[i,] == 1)
    ones <- v[ones]
    
    if(Reduce("||", lapply(heads, "list_equal", ones), init = FALSE)){
      intersection[[k]] <- ones
      k <- k + 1
    }
  }
  
  intersection <- rep_len(intersection, length.out = k - 1)
  partition <- maximalHeads(graph, intersection, r=r)
  v <- setdiff(v, Reduce(union, partition))
  
  if(length(v) > 0){
    recursed <- Recall(graph, heads, v, r=r)
    partition <- c(partition, recursed)
  }
  
  partition
}
