subGraph <-
function (graph, v, sort=FALSE) {
  v = v[v <= graph$n]
  if (length(v) == 0) {
    out = list(n = 0, vnames = character(0), type = graph$type, 
               ud.edges = list(), d.edges = list(), bi.edges = list())
    class(out) = "graph"
    return(out)
  }
  if (sort) v = unique.default(sort.int(v))
  new.pos = integer(graph$n)
  new.pos[v] = seq_along(v)
  
  uds = lapply(graph$ud.edges, function(x) new.pos[x])
  uds = uds[fsapply(uds, function(x) x[1]*x[2] > 0)]
  ds = lapply(graph$d.edges, function(x) new.pos[x])
  ds = ds[fsapply(ds, function(x) x[1]*x[2] > 0)]  
  bis = lapply(graph$bi.edges, function(x) new.pos[x])
  bis = bis[fsapply(bis, function(x) x[1]*x[2] > 0)]
  out = list(n = length(v), vnames = graph$vnames[v], type = graph$type, 
             ud.edges = uds, d.edges = ds, bi.edges = bis)
  class(out) <- "graph"
  out
}
