summary.mixed.fit <-
function (object, fisher=TRUE, ...) {
  q = object$params$q
  p = length(unlist(q)) # - length(q)
  n = object$graph$n
  n.obs = sum(object$dat)
  AIC = 2*p - 2*object$ll
  BIC = log(n.obs)*p - 2*object$ll
  ll.sat = sum(object$dat*log(object$dat/n.obs))
  deviance = 2*(ll.sat - object$ll)
  if (fisher) FIM = .fisher.mixed.fit(object)
  else FIM = NULL
  probs = getProbs(object$params, object$maps)

  se.table = matrix(NA, ncol=2, nrow=p, dimnames = list(getMparamsNames(object$params), c("Estimate", "Std. Error")))
  qvec = unlist(q)
  se.table[,1] = qvec
  if (fisher) se.table[,2] = sqrt(diag(solve(FIM)))

  out = c(object, list(p=p, AIC=AIC, BIC=BIC, deviance=deviance, n=n, se.table=se.table, FIM=FIM, probs=probs))
  class(out) = "mixed.fit.summary"
  out
}
