\name{ADMGs-package}
\alias{ADMGs-package}
\alias{ADMGs}
\docType{package}
\title{
Acyclic Directed Mixed Graphs
}
\description{
Tools to manipulate acyclic directed mixed graphs (ADMGs) and fit data to them.
}
\details{
\tabular{ll}{
Package: \tab ADMGs\cr
Type: \tab Package\cr
Version: \tab 1.3\cr
Date: \tab 2014-02-12\cr
License: \tab GPL-3\cr
LazyLoad: \tab yes\cr
}
}
\author{
  Robin Evans <robin.evans@stats.ox.ac.uk>
  Ilya Shpitser <i.shpitser@soton.ac.uk>
}
\references{
Richardson, T.S. and Spirtes, P. (2002) - Ancestral graph Markov models. \emph{Ann. Stat.}

Richardson, T.S. (2009) - A factorization criterion for acyclic directed mixed graphs. \emph{UAI-09}.

Evans, R.J. and Richardson, T.S. (2010) - Fitting acyclic directed mixed
graphs to binary data. \emph{UAI-10}.

Shpitser, I., Richardson, T.S., Robins, J.M. and Evans, R.J. (2012) -
Parameter and Structure Learning in Mixed Graph Models of
Post-Truncation Independence.  \emph{draft}.
}
\keyword{package}
\keyword{graphs}
\examples{
data(grVerma)
data(gss.small)

out = fitADMG(gss.small, grVerma)
summary(out)
}
