\name{anSets}
\alias{anSets}
\title{
Function to find ancestral sets of a graph
}
\description{
Returns a list containing all ancestral sets of an object of class \code{graph}.
}
\usage{
anSets(graph)
}
\arguments{
  \item{graph}{
An object of class \code{graph}, whose ancestral sets are to be computed.
}
}
\details{
An ancestral set of a graph \eqn{G}{G} is a set of vertices \eqn{v}{v} which contains all its own ancestors.
}
\value{
A list, each entry of which is an integer vector containing a distinct ancestral set.
}
\references{
Richardson and Spirtes (2002) - Ancestral graph Markov models, \emph{Ann. Stat.}
}
\author{
Ilya Shpitser
}
\seealso{
\code{\link{an}}
}
\examples{
data(gr2)
anSets(gr2)
}
\keyword{graphs}


