\name{cliques}
\alias{cliques}
\title{
Find cliques of graph
}
\description{
Returns the maximal complete subsets of the undirected component of a graph.
}
\usage{
cliques(graph, by_neighbourhood = FALSE)
}
\arguments{
  \item{graph}{
an object of class \code{graph}.
}
  \item{by_neighbourhood}{
logical: should cliques be grouped by neighbourhoods (connected undirected sets)?
}
}
\value{
A list (or list of lists if \code{by_neighbourhood = TRUE}) each containing a clique.  Sets of size 1 are \emph{not} included.
}
\author{
Robin Evans
}
\note{
The function restricts itself to vertices in \code{un(graph, strict=TRUE)}.
}

\seealso{
\code{\link{un}}.
}
\examples{
graph = makeGraphCycle(4, "undirected")
cliques(graph)

graph = makeGraphChain(5, "undirected")
cliques(graph)
}
\keyword{graphs}
