\name{distail}
\alias{distail}
\title{
Find dis-tail of a head.
}
\description{
Given a head \eqn{H}{H} in an ADMG, this function finds the dis-tail of \eqn{H}{H}.
}
\usage{
distail(graph, head)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{graph}{
An object of class \code{graph}, containing an ADMG.
}
  \item{head}{
A subset of vertices, assumed to be a head in \code{graph}.
}
}
\details{
The dis-tail of \eqn{H}{H} is the district of \eqn{H}{H} in the set an\eqn{(H)}{(H)}, with \eqn{H}{H} removed after the calculation.  See Richardson (2009) for details.
}
\value{
An integer vector containing the vertices in the dis-tail.
}
\references{
Richardson (2009) - A factorization criterion for acyclic directed mixed graphs.
}
\author{
Robin Evans
}

\section{Warning}{The function assumes that \eqn{H}{H} is a head, and may give strange answers if not.}

\seealso{
\code{\link{headsTails}}.
\code{\link{an}}.
}
\examples{
data(gr2)
h = headsTails(gr2, r=FALSE)$heads

h[[9]]
distail(gr2, h[[9]])
}
\keyword{graphs}
