\name{districts}
\alias{districts}
\alias{neighbourhoods}
\title{
Function to find districts in an ADMG.
}
\description{
Returns a list of vectors, each of which contains the vertices of a
single district of a graph.
}
\usage{
districts(graph)
neighbourhoods(graph, v = seq_len(n), strict = FALSE)
}
\arguments{
  \item{graph}{
An object of class \code{graph}.
}
\item{v}{
  integer: a subset of vertices to consider.
}
\item{strict}{logical: if \code{TRUE}, only neighbourhoods containing
  at least one undirected edge are considered.
  }
}
%\details{
%
%}
\value{
  A list of integer vectors, each corresponding to a district (or
  neighbourhood) in the graph, and containing the numbers of the
  vertices in that district (or neighbourhood).
}
\references{
  Richardson, T.S. (2009) - A factorization criterion for acyclic
  directed mixed graphs. UAI-09.
}
\author{ Robin Evans }
%\note{
%}

\seealso{
\code{\link{headsTails}}.
}
\examples{
data(gr2)
districts(gr2)

# DISTRICTS IN AN INDUCED SUBGRAPH
# NOTE VERTICES RENAMED
districts(gr2[c(2,4)])
}
\keyword{graphs}

