\name{edgeMatrix}
\alias{edgeMatrix}
\title{
Get matrix of graph edges.
}
\description{
Creates a list of edges in a graph in form of an n by 2 matrix.
}
\usage{
edgeMatrix(graph, types = c("undirected", "directed", "bidirected"))
}
\arguments{
  \item{graph}{
An object of class \code{graph}, whose edges are to be obtained.
}
  \item{types}{
Which types edges are to be included?  Default is all kinds of edge.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
Returns an integer matrix, each row of which represents an edge, and contains 
the two vertices which make its end points.  Rows need not be unique if there 
are multiple edges (of different types) between two vertices.
}
\author{
Robin Evans
}

\seealso{
\code{\link{edgeList}}
}
\examples{
data(gr2)
edgeMatrix(gr2)
}
\keyword{graphs}
