\name{headsTails}
\alias{headsTails}
\title{
Find heads and tails for an ADMG
}
\description{
Finds the collection of all heads and tails in an ADMG (object of class
\code{graph}); evaluates both recursive and non-recursive factorization.
}
\usage{
headsTails(graph, r = TRUE, by_district = FALSE, set_list)
}
\arguments{
  \item{graph}{
an object of class \code{graph}
}
  \item{r}{
should recursive factorzation be used?  Defaults to \code{TRUE}.
}
  \item{by_district}{
Should the result be presented as a separate list for each district in the graph?
}
\item{set_list}{
  An optional list of intrinsic sets which, if provided, saves their calculation.
  }
}
\details{
See Richardson et. al (2012) and  Richardson (2009) for formal
definitions in the recursive and non-recursive cases respectively.
}
\value{
  \item{heads}{By default a list of integer vectors, each of which is a
    distinct head; if \code{by_district = TRUE} this will be a list of
    lists, each sublist containing the heads for a particular district.}
  \item{tails}{The list of tails corresponding to each of the above
    heads, in the same format.}
}
\references{
Richardson, T.S. (2009) - A factorization criterion for acyclic directed
mixed graphs. UAI-09.
Richardson, T.S., Robins, J.M., Shpitser, I., Evans R.J. (2012) - A factorization criterion for acyclic directed mixed graphs. UAI-09.
}
\author{
Ilya Shpitser, Robin Evans
}

\examples{
# A GRAPH WITH A VERMA CONSTRAINT
data(grVerma)
grVerma

headsTails(grVerma, r=FALSE)
headsTails(grVerma, r=TRUE)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{graphs}
