\name{intrinsicSets}
\alias{intrinsicSets}
\alias{intrinsicClosure}
\title{
Find intrinsic sets.
}
\description{
Find intrinsic sets of an ADMG, or intrinsic closure of a set of vertices from an ADMG.
}
\usage{
intrinsicSets(graph, r = TRUE, by_district = FALSE)
intrinsicClosure(graph, set)
}
\arguments{
  \item{graph}{
an ADMG as an object of class \code{graph}.
}
  \item{r}{
should the recursive factorization be used?
}
  \item{by_district}{
logical indicating whether intrinsic sets should be listed by district.
}
  \item{set}{
vertex set to calculated intrinsic closure of.
}
}
\details{

}
\value{
\code{intrinsicSets} returns a list of integer vectors, each being an intrinsic set (or if \code{by_district = TRUE} a list of lists, each containing the intrinsic sets in a single district).  If \code{r = FALSE} the intrinsic sets are the heads and their dis-tails.

\code{intrinsicClosure} returns an integer vector containing the closure of \code{set}.  
}
\references{
Richardson, Robins, Shpitser, Evans (2012).
}
\author{
Ilya Shpitser.
}

\seealso{
\code{\link{headsTails}}.
}
\examples{
data(grVerma)
intrinsicSets(grVerma)
}
\keyword{graphs}

