\name{makeGraph}
\alias{makeGraph}
\alias{print.graph}

\title{
Create mixed graphs.
}
\description{
Create a mixed graph - that is a graph containing undirected (-), directed (->) and bidirected (<->) edges.
}
\usage{
makeGraph(n, ud.edges = list(), d.edges = list(), bi.edges = list(), 

vnames, type)
}
\arguments{
  \item{n}{
Number of vertices in the graph.
}
  \item{ud.edges}{
A list of integer vectors of length two; each vector contains the end points of an undirected edge.
}
  \item{d.edges}{
A list of integer vectors of length two; each vector contains the end points of a directed edge, where the arrow points from the first entry to the second.
}
  \item{bi.edges}{
A list of integer vectors of length two; each vector contains the end points of a bidirected edge.
}
  \item{vnames}{
A string vector of length \code{n}, containing optional names for the 
vertices.  Defaults to "x1", "x2", etc.
}
  \item{type}{
A string giving the type of graph (e.g. "DAG").  No functionality at present.
}

}
\details{
Multiple edges of the same type and orientation (if appropriate) between 
the same two vertices are not allowed.  Loops (an edge from a vertex to 
itself) are not allowed.
}
\value{
An object of class \code{graph}, which consists of a list of most of the 
arguments above.
}
\references{
Richardson, T.S. and Spirtes, P. (2002) - Ancestral graph Markov models. \emph{Ann. Stat.}
}
\author{
Robin Evans
}

\seealso{
\code{\link{makeGraphComplete}}
}
\examples{
makeGraph(4, bi.edges = list(c(1,2)), d.edges = list(c(3,2), c(4,1)), 

ud.edges = list(c(3,4)))
}
\keyword{graphs}

