\name{makeGraphComplete}
\alias{makeGraphComplete}
\alias{makeGraphCycle}
\alias{makeGraphChain}

\title{
Functions for creating default graphs.
}
\description{
Creates an object of class \code{graph} corresponding to useful common graphs.
\code{makeGraphComplete} returns a graph with all possible undirected or
bidirected edges included, or a complete DAG.  \code{makeGraphChain}
links the vertices in series: \code{1 -- 2 -- 3 -- ...}.  \code{makeGraphCycle} does \code{1 -- 2 -- 3 -- ... -- k -- 1}.
}
\usage{
makeGraphComplete(n, type = "bidirected")
makeGraphChain(n, type = "bidirected")
makeGraphCycle(n, type = "bidirected")
}
\arguments{
  \item{n}{
Number of vertices in graph.
}
  \item{type}{
Bidirected ("bidirected"), directed ("directed") or undirected ("undirected") edges?
}
}
\value{
An object of class \code{graph}.
}
\author{
Robin Evans
}

\seealso{
\code{\link{makeGraph}}
}
\examples{
makeGraphComplete(4)
makeGraphComplete(4, "directed")

makeGraphChain(3, "undirected")

makeGraphCycle(5, "bidirected")
}
