\name{makeptable}
\alias{makeptable}

\title{
Constructs probability array for graph
}
\description{
Puts joint probabilities in an \code{n}-way array with labelled dimensions.
}
\usage{
makeptable(graph, dims = rep(2, n), values = 1/prod(dims))
}
\arguments{
  \item{graph}{
An ADMG, object of class \code{graph}.
}
  \item{dims}{
An integer vector of length \code{graph$n} containing the number of categories take by each random variable.
}
  \item{values}{
A vector of joint probabilities of length \code{prod(dims)}.
}
}
\value{
An \code{n}-dimensional array containing the probabilities with appropriately labelled dimensions.
}
\author{
Robin Evans
}

\examples{
data(gr1)
makeptable(gr1)
}
\keyword{array}

