\name{mapV}
\alias{mapV}
\title{
Match variable names for a graph in its subgraph
}
\description{
Given a graph and a subgraph, matches the variables using their names.
}
\usage{
mapV(v, graph1, graph2)
}
\arguments{
  \item{v}{
Vertices in \code{graph1} to search for.
}
  \item{graph1}{
An object of class \code{graph}.
}
  \item{graph2}{
An object of class \code{graph}; should be a subgraph of \code{graph1} unless the converse is true.
}
}
\details{
Takes numbers of vertices in \code{graph1}, searches for the same names in \code{graph2}, and returns the numbers of those vertices in \code{graph2}.  Useful for keeping track of vertices after formation of sub-graphs.
}
\value{
An integer vector containing the vertices corresponding to \code{v} in \code{graph2}.
}
\author{
Robin Evans
}

\section{Warning }{
Answers are meaningless unless \code{graph1} is a subgraph of \code{graph2} or vice versa.
}
\seealso{
\code{\link{subGraph}}.
}
\examples{
data(gr2)
sub = gr2[c(2,3,5)]

mapV(1:3, sub, gr2)
mapV(5, gr2, sub)
}
\keyword{graphs}

