\name{partition}
\alias{partition}

\title{
Partition (subset of) ADMG into heads
}
\description{
Partitions an ADMG into by repeatedly removing maximal heads.
}
\usage{
partition(graph, heads, v = seq_len(graph$n), r = TRUE)
}
\arguments{
  \item{graph}{
An ADMG, as an object of class \code{graph}.
}
  \item{heads}{
A list of heads in \code{graph}.
}
  \item{v}{
(optionally) an integer vector of vertices to partition.
}
  \item{r}{
Logical indicating whether or not recursive factorizations should be used.
}
}
\details{
Heads are partitioned by removing maximal heads repeatedly.  See \code{\link{maximalHeads}}.
}
\value{
A list of integer vectors, each containing an element of the partition.
}
\references{
Richardson, T.S. (2009) - A factorization criterion for acyclic directed mixed graphs. \emph{UAI-09}.
}
\author{
Robin Evans, Ilya Shpitser.
}

\seealso{
\code{\link{maximalHeads}}.
\code{\link{factorize}}.
}
\examples{
data(gr2)

partition(gr2)
partition(gr2, v=3:5)
}
\keyword{graphs}

