\name{summary.mixed.fit}
\alias{summary.mixed.fit}
\alias{print.mixed.fit.summary}
\title{
Summarize fitted ADMG model.
}
\description{
Produces summary statistics for fit of data to an ADMG model.
}
\usage{
summary(object, fisher = TRUE, ...)
}
\arguments{
  \item{object}{
An object of class \code{mixed.fit}.
}
\item{fisher}{
logical: should Fisher Information Matrix be calculated and standard errors provided?
}
  \item{\dots}{
Other arguments to pass to \code{summary}.
}
}
\details{

}
\value{
List containing the output from \code{\link{fitADMG}} as well as:
\item{p}{The number of parameters.}
\item{AIC}{Akaike Information Criterion of model fit.}
\item{BIC}{Bayesian Information Criterion of model fit.}
\item{deviance}{The deviance of the model fit.}
\item{n}{The dimension of the data.}
\item{se.table}{A table containing standard errors (if \code{fisher = TRUE}).}
\item{FIM}{The Fisher Information Matrix (if \code{fisher = TRUE}).}
\item{probs}{Best fitting probability distribution.}
}
\references{
Evans, R.J. and Richardson, T.S. (2010) - Fitting acyclic directed mixed graphs to binary data. \emph{UAI-10}.
}
\author{
Robin Evans
}

\seealso{
\code{\link{fitADMG}}.
}
\keyword{graphs}

