\name{topologicalOrder}
\alias{topologicalOrder}
\alias{topOrder}
\title{
Find a topological order of vertices.
}
\description{
Finds a topological order of the vertices in an ADMG.
}
\usage{
topologicalOrder(graph)
topOrder(graph)
}
\arguments{
  \item{graph}{
An object of class \code{graph} containing an ADMG.
}
}
\details{
Finds an ordering of the vertices in \code{graph} which is \emph{topological}, meaning that no vertex precedes any of its descendants.
}
\value{
An integer vector containing the numbers 1 to \code{graph$n} in an order which is topological with respect to \code{graph}.
}
\author{
Ilya Shpitser
}

\examples{
data(gr2)
topologicalOrder(gr2)
}
