\name{twins}
\alias{twins}
\docType{data}
\title{
Twins data
}
\description{
Data on alcoholism and depression in pairs of monozygotic twins.
}
\usage{data(twins)}
\format{
  A data frame with 16 observations on the following 5 variables.
  \describe{
    \item{\code{A1}}{indicator of alcoholism in first twin: 1 = alcohol dependent, 0 = not dependent}
    \item{\code{A2}}{indicator of alcoholism in second twin.}
    \item{\code{D1}}{indicator of depression in first twin: 1 = suffers from major depression, 0 = otherwise}
    \item{\code{D2}}{indicator of depression in second twin.}
    \item{\code{freq}}{counts of observations.}
  }
}
\details{
Contingency table indicating whether each of a pair of identical twins suffers from alcohol dependence and depression.

Note that models ought to be symmetric under permutation of the labels 1 and 2.
}

\references{
Drton and Richardson (2008) - Binary models for marginal independence, JRSSB.
}
\keyword{datasets}
