\name{[.graph}
\alias{[.graph}
\alias{subGraph}
\title{
Create a subgraph.
}
\description{
Creates a subgraph of an object of class \code{graph}, with induced edges.
}
\usage{
[.graph(graph, v, sort = FALSE)
subGraph(graph, v, sort = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{graph}{
An object of class \code{graph}.
}
  \item{v}{
Vector of integers indicating vertices to be included in subgraph.
}
\item{sort}{
Logical which, if true, indicates vertices should be ordered as in
original graph, rather than in the order of the vector \code{v}.
}
}
\value{
An object of class \code{graph}.
}
\references{
Richardson, T.S. (2009) - A factorization criterion for acyclic directed mixed graphs. \emph{UAI-09}.
}
\author{
Robin Evans
}

\section{Warning}{
Vertex numbers of new graph will differ from those of original, though names are preserved.  Use \code{\link{mapV}} to get original numbers.
}

\seealso{
\code{\link{mapV}}
\code{\link{makeGraph}}
}
\examples{
data(gr2)
gr2[c(1,3,4)]
gr2[c(1,4,3), sort=TRUE]
gr2[c(1,4,3)]
}
\keyword{graphs}
